ubuntu-location-service: com::ubuntu::location::ProviderSelectionPolicy Class Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
com::ubuntu::location::ProviderSelectionPolicy Class Referenceabstract

`#include <provider_selection_policy.h>`

Inheritance diagram for com::ubuntu::location::ProviderSelectionPolicy:
Collaboration diagram for com::ubuntu::location::ProviderSelectionPolicy:

## Public Types
typedef std::shared_ptr< ProviderSelectionPolicy > | Ptr

## Public Member Functions
| ProviderSelectionPolicy (const ProviderSelectionPolicy &)=delete
ProviderSelectionPolicy & | operator= (const ProviderSelectionPolicy &)=delete
virtual | ~ProviderSelectionPolicy ()=default
virtual ProviderSelection | determine_provider_selection_for_criteria (const Criteria &criteria, const ProviderEnumerator &enumerator)=0

## Static Public Member Functions
static const Provider::Ptr & | null_provider ()

## Protected Member Functions
| ProviderSelectionPolicy ()=default

## Detailed Description

Definition at line 35 of file provider_selection_policy.h.

## Member Typedef Documentation

## ◆ Ptr

typedef std::shared_ptr<ProviderSelectionPolicy> com::ubuntu::location::ProviderSelectionPolicy::Ptr

Definition at line 38 of file provider_selection_policy.h.

## Constructor & Destructor Documentation

## ◆ ProviderSelectionPolicy() [1/2]

com::ubuntu::location::ProviderSelectionPolicy::ProviderSelectionPolicy | ( | const ProviderSelectionPolicy & |  | ) |
| delete

## ◆ ~ProviderSelectionPolicy()

virtual com::ubuntu::location::ProviderSelectionPolicy::~ProviderSelectionPolicy | ( |  | ) |
| virtualdefault

## ◆ ProviderSelectionPolicy() [2/2]

com::ubuntu::location::ProviderSelectionPolicy::ProviderSelectionPolicy | ( |  | ) |
| protecteddefault

## Member Function Documentation

## ◆ determine_provider_selection_for_criteria()

virtual ProviderSelection com::ubuntu::location::ProviderSelectionPolicy::determine_provider_selection_for_criteria | ( | const Criteria & | criteria,
|  | const ProviderEnumerator & | enumerator
| ) |  |
| pure virtual

Implemented in com::ubuntu::location::FusionProviderSelectionPolicy, and com::ubuntu::location::DefaultProviderSelectionPolicy.

## ◆ null_provider()

static const Provider::Ptr& com::ubuntu::location::ProviderSelectionPolicy::null_provider | ( |  | ) |
| static

## ◆ operator=()

ProviderSelectionPolicy& com::ubuntu::location::ProviderSelectionPolicy::operator= | ( | const ProviderSelectionPolicy & |  | ) |
| delete

The documentation for this class was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/provider_selection_policy.h